### Method

# GimpUi ResourceChooser set_clickable

unstable since: 3.0

#### Declaration [src]

    void
    gimp_resource_chooser_set_clickable (
      GimpResourceChooser* chooser,
      GtkWidget* widget
    )

#### Description [src]

Called by a subclass init to specialize the instance.

Subclass knows its interior widget whose region when clicked should popup remote chooser. Self handles the click event.

Available since: 3.0

#### Parameters

`widget`

  Type: `GtkWidget`

  An interior widget that emits “clicked” signal.

  The data is owned by the caller of the method.